Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools.aggregator
Class LogAggregatorReportManager

    java.lang.Object
      lbg.simulator.tools.aggregator.LogAggregatorReportManager

    public class LogAggregatorReportManager

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`LogAggregatorReportManager(java.lang.String timestamp, java.lang.String scenario_base_name, int logs_count, java.lang.String[] logs_csv_summary, GlobalPropertiesStore global_props_store, java.lang.String encountered_errors, java.lang.String encountered_exceptions)` Constructs a new LogAggregatorReportManager.

Method Summary
`java.lang.String` | `getSpreadsheetFilename()`
`void` | `saveLogAnalysisSummary()`
`void` | `saveLogSpreadsheetReport()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogAggregatorReportManager

    public LogAggregatorReportManager(java.lang.String timestamp,
                                      java.lang.String scenario_base_name,
                                      int logs_count,
                                      java.lang.String[] logs_csv_summary,
                                      GlobalPropertiesStore global_props_store,
                                      java.lang.String encountered_errors,
                                      java.lang.String encountered_exceptions)
                               throws GridException

  Constructs a new LogAggregatorReportManager.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### saveLogAnalysisSummary

    public void saveLogAnalysisSummary()
                                throws GridException

  Throws:
    `GridException`

### saveLogSpreadsheetReport

    public void saveLogSpreadsheetReport()
                                  throws GridException

  Throws:
    `GridException`

### getSpreadsheetFilename

    public java.lang.String getSpreadsheetFilename()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.